Name:           glite-lbjp-common-trio
Version:        2.3.10
Release:        2%{?dist}
Summary:        Standalone extended implementation of printf and scanf

# Created under ASL 2.0 license.
# Core files taken from http://daniel.haxx.se/projects/trio/ are under MIT-like
# license (a variant identical to ISC): interface/trio.h, src/strio.c,
# src/strio.h, src/trio.c, and src/triop.h.
License:        ASL 2.0 and ISC
Url:            http://glite.cern.ch
Source:         http://scientific.zcu.cz/emi/emi.lbjp-common.trio/%{name}-%{version}.tar.gz

BuildRequires:  cppunit-devel%{?_isa}
BuildRequires:  libtool
BuildRequires:  perl
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(POSIX)
BuildRequires:  pkgconfig

%description
Standalone extended implementation of printf and scanf. Provides specialized
formatting options used by Logging and Bookkeeping and Job Provenance.


%package        devel
Summary:        Development files for gLite L&B/JP common trio library
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
This package contains development libraries and header files for gLite L&B/JP
common trio library.


%prep
%setup -q


%build
perl ./configure --root=/ --prefix=%{_prefix} --libdir=%{_lib} --module lbjp-common.trio
CFLAGS="%{?optflags}" LDFLAGS="%{?__global_ldflags}" make


%check
CFLAGS="%{?optflags}" LDFLAGS="%{?__global_ldflags}" make check


%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -rf {} \;
find $RPM_BUILD_ROOT -name '*.a' -exec rm -rf {} \;


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%doc LICENSE project/ChangeLog
%{_libdir}/libglite_lbu_trio.so.2
%{_libdir}/libglite_lbu_trio.so.2.*

%files devel
%dir %{_includedir}/glite
%dir %{_includedir}/glite/lbu
%{_includedir}/glite/lbu/escape.h
%{_includedir}/glite/lbu/trio.h
%{_libdir}/libglite_lbu_trio.so


%changelog
* Fri Aug 02 2013 František Dvořák <valtri@civ.zcu.cz> - 2.3.10-2
- Add ISC license
* Tue Jul 02 2013 František Dvořák <valtri@civ.zcu.cz> - 2.3.10-1
- Initial package
